Create a cluster

Create a cluster in the Organization. An Astro cluster is a Kubernetes cluster that hosts the infrastructure required to run Deployments.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to create the cluster in.

Request

The request body for creating a cluster
AWSobjectRequired
OR
AZUREobjectRequired
OR
GCPobjectRequired

Response

OK
cloudProviderenum
The name of the cluster's cloud provider.
Allowed values:
createdAtstringformat: "date-time"

The time when the cluster was created in UTC. formatted as YYYY-MM-DDTHH:MM:SSZ.

dbInstanceTypestring
The type of database instance that is used for the cluster.
drRegionstring
The secondary region for Disaster Recovery for the cluster.
idstring
The cluster's ID.
isDrEnabledboolean
Whether Disaster Recovery is enabled on the cluster
namestring
The cluster's name.
organizationIdstring
The ID of the Organization that the cluster belongs to.
regionstring
The region in which the cluster is created.
statusenum
The status of the cluster.
typeenum
The type of the cluster.
Allowed values:
updatedAtstringformat: "date-time"

The time when the cluster was last updated in UTC. formatted as YYYY-MM-DDTHH:MM:SSZ.

vpcSubnetRangestring
The VPC subnet range.
drSecondaryVpcCidrstring
The secondary CIDR for the DR region. For AWS clusters only.
drVpcSubnetRangestring
The VPC subnet range for the DR region. For AWS clusters only.
enableReplicationTimeControlboolean
Whether S3 Replication Time Control is enabled for DR.
failoverInProgressboolean
Whether a failover is currently in progress.
healthStatusobject
isFailedOverboolean
Whether the cluster is currently failed over to the DR region.
isLimitedboolean
Whether the cluster is limited.
metadataobject
nodePoolslist of objects
The list of node pools that are created in the cluster.
podSubnetRangestring
The subnet range for Pods. For GCP clusters only.
providerAccountstring
The provider account ID. For GCP clusters only.
secondaryVpcCidrstring
The secondary VPC CIDR. For AWS clusters only.
servicePeeringRangestring
The service peering range. For GCP clusters only.
serviceSubnetRangestring
The service subnet range. For GCP clusters only.
tagslist of objects
The Kubernetes tags in the cluster. For AWS Hybrid clusters only.
tenantIdstring
The tenant ID. For Azure clusters only.
workspaceIdslist of strings
The list of Workspaces that are authorized to the cluster.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
412
Precondition Failed Error
500
Internal Server Error